คู่มือ aWhere
พัฒนาAPIcore-services

API key

API key ตัวที่อยู่ใต้ `/api/profile` เป็นของผู้ใช้เอง ตัวที่อยู่ใต้ `/api/admin` เป็นของทั้งแพลตฟอร์ม

ค้นหา API key

GET
/api/admin/credential/api-key

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Query

keyword?string

Words to look for.

query?string

A filter, as a JSON object.

select?string

The fields to return, as a JSON object of field names to 1 or 0.

skip?integer

How many to skip.

limit?integer

How many to return; 10 when absent.

ค่าเริ่มต้น10
sort?string

The order, as a JSON object of field names to 1 or -1.

Body ของคำตอบ

One page, and how many match.

application/json
  1. response
total?integer
data?array<>
curl -X GET "https://platform.example.com/api/admin/credential/api-key" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    {      "_id": "string",      "name": "string",      "description": "string",      "restrictionType": null,      "scope": null,      "deletable": true,      "props": null,      "extendedProps": null,      "createdAt": null,      "createdBy": null,      "updatedAt": null,      "updatedBy": null    }  ]}

ค้นหา API key โดยส่งเงื่อนไขใน body

POST
/api/admin/credential/api-key

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
keyword?string

Words to look for.

query?

A filter, as a JSON object.

select?

The fields to return, as a JSON object of field names to 1 or 0.

skip?integer

How many to skip.

limit?integer

How many to return; 10 when absent.

ค่าเริ่มต้น10
sort?

The order, as a JSON object of field names to 1 or -1.

Body ของคำตอบ

One page, and how many match.

application/json
  1. response
total?integer
data?array<>
curl -X POST "https://platform.example.com/api/admin/credential/api-key" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "keyword": "string",  "query": {},  "select": {}}'
{  "total": 0,  "data": [    {      "_id": "string",      "name": "string",      "description": "string",      "restrictionType": null,      "scope": null,      "deletable": true,      "props": null,      "extendedProps": null,      "createdAt": null,      "createdBy": null,      "updatedAt": null,      "updatedBy": null    }  ]}

สร้าง API key

PUT
/api/admin/credential/api-key

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
ค่าเริ่มต้นtrue
props?
extendedProps?

Body ของคำตอบ

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/admin/credential/api-key" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "restrictionType": "..."}'
"string"

อ่าน API key หนึ่งตัว

GET
/api/admin/credential/api-key/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

พารามิเตอร์ใน Query

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Body ของคำตอบ

The record.

application/json
  1. response
_id*string
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
ค่าเริ่มต้นtrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X GET "https://platform.example.com/api/admin/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "_id": "string",  "name": "string",  "description": "string",  "restrictionType": null,  "scope": null,  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}
POST
/api/admin/credential/api-key/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

Body ของคำขอ

application/json
  1. body
select?

The fields to return, as a JSON object of field names to 1 or 0.

Body ของคำตอบ

The record.

application/json
  1. response
_id*string
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
ค่าเริ่มต้นtrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X POST "https://platform.example.com/api/admin/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "select": {}}'
{  "_id": "string",  "name": "string",  "description": "string",  "restrictionType": null,  "scope": null,  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}

ลบ API key

DELETE
/api/admin/credential/api-key/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

Body ของคำตอบ

The answer.

response?stringapplication/json

The id.

curl -X DELETE "https://platform.example.com/api/admin/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN"
"string"

แก้ API key

PUT
/api/admin/credential/api-key/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

Body ของคำขอ

application/json
  1. body
name?string
description?string
restrictionType?unknown
scope?unknown
deletable?unknown
ค่าเริ่มต้นtrue
props?
extendedProps?

Body ของคำตอบ

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/admin/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "description": "string",  "restrictionType": "..."}'
"string"

แสดงค่าของ API key

GET
/api/admin/credential/api-key/{id}/key

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

พารามิเตอร์ใน Query

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Body ของคำตอบ

The answer.

curl -X GET "https://platform.example.com/api/admin/credential/api-key/$ID/key" \  -H "Authorization: Bearer $TOKEN"
ว่าง

ออกค่าใหม่ให้ API key

PUT
/api/admin/credential/api-key/{id}/key

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

Body ของคำตอบ

The answer.

curl -X PUT "https://platform.example.com/api/admin/credential/api-key/$ID/key" \  -H "Authorization: Bearer $TOKEN"
ว่าง

ค้นหา API key ของคุณ

GET
/api/profile/credential/api-key

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Query

keyword?string

Words to look for.

query?string

A filter, as a JSON object.

select?string

The fields to return, as a JSON object of field names to 1 or 0.

skip?integer

How many to skip.

limit?integer

How many to return; 10 when absent.

ค่าเริ่มต้น10
sort?string

The order, as a JSON object of field names to 1 or -1.

Body ของคำตอบ

One page, and how many match.

application/json
  1. response
total?integer
data?array<>
curl -X GET "https://platform.example.com/api/profile/credential/api-key" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    {      "_id": "string",      "name": "string",      "description": "string",      "restrictionType": null,      "scope": null,      "deletable": true,      "props": null,      "extendedProps": null,      "createdAt": null,      "createdBy": null,      "updatedAt": null,      "updatedBy": null    }  ]}
POST
/api/profile/credential/api-key

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
keyword?string

Words to look for.

query?

A filter, as a JSON object.

select?

The fields to return, as a JSON object of field names to 1 or 0.

skip?integer

How many to skip.

limit?integer

How many to return; 10 when absent.

ค่าเริ่มต้น10
sort?

The order, as a JSON object of field names to 1 or -1.

Body ของคำตอบ

One page, and how many match.

application/json
  1. response
total?integer
data?array<>
curl -X POST "https://platform.example.com/api/profile/credential/api-key" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "keyword": "string",  "query": {},  "select": {}}'
{  "total": 0,  "data": [    {      "_id": "string",      "name": "string",      "description": "string",      "restrictionType": null,      "scope": null,      "deletable": true,      "props": null,      "extendedProps": null,      "createdAt": null,      "createdBy": null,      "updatedAt": null,      "updatedBy": null    }  ]}

สร้าง API key ของคุณ

PUT
/api/profile/credential/api-key

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Body ของคำขอ

application/json
  1. body
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
ค่าเริ่มต้นtrue
props?
extendedProps?

Body ของคำตอบ

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/profile/credential/api-key" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "restrictionType": "..."}'
"string"

อ่าน API key ของคุณหนึ่งตัว

GET
/api/profile/credential/api-key/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

พารามิเตอร์ใน Query

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Body ของคำตอบ

The record.

application/json
  1. response
_id*string
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
ค่าเริ่มต้นtrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X GET "https://platform.example.com/api/profile/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "_id": "string",  "name": "string",  "description": "string",  "restrictionType": null,  "scope": null,  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}
POST
/api/profile/credential/api-key/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

Body ของคำขอ

application/json
  1. body
select?

The fields to return, as a JSON object of field names to 1 or 0.

Body ของคำตอบ

The record.

application/json
  1. response
_id*string
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
ค่าเริ่มต้นtrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X POST "https://platform.example.com/api/profile/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "select": {}}'
{  "_id": "string",  "name": "string",  "description": "string",  "restrictionType": null,  "scope": null,  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}

ลบ API key ของคุณ

DELETE
/api/profile/credential/api-key/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

Body ของคำตอบ

The answer.

response?stringapplication/json

The id.

curl -X DELETE "https://platform.example.com/api/profile/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN"
"string"

แก้ API key ของคุณ

PUT
/api/profile/credential/api-key/{id}

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

Body ของคำขอ

application/json
  1. body
name?string
description?string
restrictionType?unknown
scope?unknown
deletable?unknown
ค่าเริ่มต้นtrue
props?
extendedProps?

Body ของคำตอบ

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/profile/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "description": "string",  "restrictionType": "..."}'
"string"

แสดงค่าของ API key ของคุณ

GET
/api/profile/credential/api-key/{id}/key

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

พารามิเตอร์ใน Query

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Body ของคำตอบ

The answer.

curl -X GET "https://platform.example.com/api/profile/credential/api-key/$ID/key" \  -H "Authorization: Bearer $TOKEN"
ว่าง

ออกค่าใหม่ให้ API key ของคุณ

PUT
/api/profile/credential/api-key/{id}/key

การยืนยันตัวตน

headerการยืนยันตัวตนBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

พารามิเตอร์ใน Path

id*string

The id of the API key.

Body ของคำตอบ

The answer.

curl -X PUT "https://platform.example.com/api/profile/credential/api-key/$ID/key" \  -H "Authorization: Bearer $TOKEN"
ว่าง